# Yaru Colors for Flutter

[![pub](https://img.shields.io/pub/v/yaru_colors.svg)](https://pub.dev/packages/yaru_colors)
[![CI](https://github.com/ubuntu/yaru_colors.dart/actions/workflows/ci.yaml/badge.svg)](https://github.com/ubuntu/yaru_colors.dart/actions/workflows/ci.yaml)
[![codecov](https://codecov.io/gh/ubuntu/yaru_colors.dart/branch/main/graph/badge.svg?token=xuGIiNAANl)](https://codecov.io/gh/ubuntu/yaru_colors.dart)

A collection of Yaru color palettes for Flutter.

```dart
import 'package:yaru_colors/yaru_colors.dart';
```

```dart
MyWidget(color: YaruColors.purple)
```

![accent](https://raw.githubusercontent.com/ubuntu/yaru_colors.dart/main/images/accent.png "accent colors")
![flavor](https://raw.githubusercontent.com/ubuntu/yaru_colors.dart/main/images/flavor.png "flavor colors")
![neutral](https://raw.githubusercontent.com/ubuntu/yaru_colors.dart/main/images/neutral.png "neutral colors")
![custom](https://raw.githubusercontent.com/ubuntu/yaru_colors.dart/main/images/custom.png "custom color")

# Usage

To use this package, add `yaru_colors` as a
[dependency in your pubspec.yaml file](https://docs.flutter.dev/development/packages-and-plugins/using-packages).

# References

- [yaru_color_generator](https://pub.dev/packages/yaru_color_generator) - Generates full Yaru Material color palettes from singular primary color values.
- [yaru_color_builder](https://pub.dev/packages/yaru_color_builder) - A builder extension for generating Yaru colors at build time.
